Bug 1297123 - User NFS mount in fstab prompts for authentication
User NFS mount in fstab prompts for authentication
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-09 09:50 EST by Jimmy Jones
Modified: 2016-12-20 12:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:43:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jimmy Jones 2016-01-09 09:50:12 EST
Description of problem:

User NFS mount setup in fstab. However when a user tries to mount it, they get prompted for authentication to start some systemd units.

Version-Release number of selected component (if applicable):

Fedora 23

How reproducible:

Every time

Steps to Reproduce:
1. /etc/fstab:
192.168.0.1:/export/hdd /mnt/hdd		nfs	user,noauto	1 1
2. (as user) mount /mnt/hdd

Actual results:

In GNOME:
Authentication popup - "Authentication is required to manage system services or other units". If cancel get:
Failed to start rpc-statd.service: Access denied

At terminal:
==== AUTHENTICATING FOR org.freedesktop.systemd1.manage-units ===
Authentication is required to manage system services or other units.
Authenticating as: Jimmy (jimmy)
Password:

Expected results:

mount command succeeds without any prompts.
Comment 1 Brian O'Regan 2016-02-24 16:20:29 EST
Thank you for taking the time to report this issue. 

Unfortunately, I'm unable to re-produce the issue with the provided repro steps. Following your steps on a fresh Fedora 23 dnf updated today.The user mount succeeded without any prompts.

If you have time and can still reproduce the issue, please read http://fedoraproject.org/wiki/BugsAndFeatureRequests and add a description along those lines to this bug report so we can diagnose the problem.

Often minor configuration details are pivotal. e.g target NFS server details/config, error logs.

Thank you.

Fedora QA Team
https://fedoraproject.org/wiki/QA
Comment 2 Steve Dickson 2016-03-19 13:02:40 EDT
This seems to work for me as well

fedora$ cat /etc/fstab
f23:/home /mnt/home nfs  user,noauto 1 1

fedora$ mount /mnt/home
fedora$ umount /mnt/home
Comment 3 Jimmy Jones 2016-03-19 16:21:06 EDT
Just looked into this a bit more. I'm only prompted for a password if rpc-statd isn't already running, eg. if I've previous NFS mounted something. From a fresh reboot, with no other NFS mounts, I'm prompted for a password until I run sudo systemctl start rpc-statd
Comment 4 Fedora End Of Life 2016-11-24 09:48:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:43:55 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.